libzypp 17.37.10

zypp::LockingOutputIterator< OutputIterator > Struct Template Reference

iterator that takes lock, lock all solvables from query and send query to output iterator More...

## Public Member Functions
| LockingOutputIterator (OutputIterator &out_)
void | operator() (const PoolQuery &query) const

## Private Attributes
OutputIterator & | out

## Detailed Description

template<class OutputIterator>
struct zypp::LockingOutputIterator< OutputIterator >

iterator that takes lock, lock all solvables from query and send query to output iterator

Definition at line 131 of file Locks.cc.

## Constructor & Destructor Documentation

## ◆ LockingOutputIterator()

template<class OutputIterator>

zypp::LockingOutputIterator< OutputIterator >::LockingOutputIterator | ( | OutputIterator & | out_ | ) |
| inline

Definition at line 133 of file Locks.cc.

## Member Function Documentation

## ◆ operator()()

template<class OutputIterator>

void zypp::LockingOutputIterator< OutputIterator >::operator() | ( | const PoolQuery & | query | ) | const
| inline

Definition at line 137 of file Locks.cc.

## Member Data Documentation

## ◆ out

template<class OutputIterator>

OutputIterator& zypp::LockingOutputIterator< OutputIterator >::out
| private

Definition at line 144 of file Locks.cc.

The documentation for this struct was generated from the following file:

- zypp/Locks.cc